// SnapshotDlg.h : header file
//
//{{AFX_INCLUDES()
#include "videocap.h"
//}}AFX_INCLUDES

#if !defined(AFX_SNAPSHOTDLG_H__72925589_9269_4F09_90C8_EF2CA42F47DF__INCLUDED_)
#define AFX_SNAPSHOTDLG_H__72925589_9269_4F09_90C8_EF2CA42F47DF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSnapshotDlg dialog
#include "VideoFormats.h"
#include "WndImage.h"
#include "VideoInputs.h"

class CSnapshotDlg : public CDialog
{
// Construction
public:
	CSnapshotDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSnapshotDlg)
	enum { IDD = IDD_SNAPSHOT_DIALOG };
	CComboBox	m_CboVideoInput;
	CWndImage	m_Pic;
	CComboBox	m_CboVideoFormat;
	CVideoCap	m_VideoCap1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSnapshotDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSnapshotDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnpreview();
	afx_msg void OnButton2();
	afx_msg void OnSelchangeCombo1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SNAPSHOTDLG_H__72925589_9269_4F09_90C8_EF2CA42F47DF__INCLUDED_)
