// CaptureFileDlg.h : header file
//
//{{AFX_INCLUDES()
#include "videocap.h"
//}}AFX_INCLUDES

#if !defined(AFX_CAPTUREFILEDLG_H__0DD1A709_150A_4537_A298_87786D4807AD__INCLUDED_)
#define AFX_CAPTUREFILEDLG_H__0DD1A709_150A_4537_A298_87786D4807AD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCaptureFileDlg dialog
#include "Devices.h"
#include "VideoFormats.h"
#include "AudioDevices.h"
#include "AudioCompressors.h"
#include "VideoCompressors.h"
#include "VideoInputs.h"


class CCaptureFileDlg : public CDialog
{
// Construction
public:
	void ControlCap();
	CCaptureFileDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCaptureFileDlg)
	enum { IDD = IDD_CAPTUREFILE_DIALOG };
	CButton	m_ChkMuteTV;
	CComboBox	m_CboVideoInput;
	CButton	m_ChkUseVideoCompressor;
	CButton	m_ChkUseAudioCompressor;
	CButton	m_ChkShowPreview;
	CButton	m_ChkCaptureVideo;
	CButton	m_ChkCaptureAudio;
	CComboBox	m_CboAudioComp;
	CComboBox	m_CboAudioDevice;
	CComboBox	m_CboVideoFormat;
	CComboBox	m_CboVideoComp;
	CComboBox	m_CboDevice;
	CVideoCap	m_VideoCap1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCaptureFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCaptureFileDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnpreview();
	afx_msg void OnBtncapture();
	afx_msg void OnBtnstop();
	afx_msg void OnChkuseaudiocomp();
	afx_msg void OnChkusevideocomp();
	afx_msg void OnChkmutetv();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CAPTUREFILEDLG_H__0DD1A709_150A_4537_A298_87786D4807AD__INCLUDED_)
